function gama = SaSGecfMomFit(data,K,alpha,sigma);

% Moments estimate of dispersion parameter of a SaS distribution from a
% a mixture of SaS and Gaussian rv's when both alpha and sigma are known!!
% K is a vector containing the points where the ECF is to be estimated

%[t_m,fi_m]=sasecf(K,data); fi_m=abs(fi_m);
%gama=(-log(fi_m))/t_m;

data=data(:);
[f,FNs] = sasecf(K,data);
PNs = abs(FNs);

gama = mean((-log(PNs.^2)-sigma^2*f.^2)./(2*f.^alpha));
gama = alpha^(1/alpha)*gama^(1/alpha);